import Collection from './Collection';
import Assignment from '../models/Assignment';

class TaskCollection extends Collection {
  model() {
    return Assignment;
  }

  defaults() {
    return {
      sortBy: 'title',
      descending: true,
      rowsPerPage: 15,
      page: 1,
      query: '',
      activity: '',
      assignments: '',
      app_name: '',
    };
  }

  getFetchQuery() {
    const params = {
      sort: this.get('sortBy'),
      size: this.get('rowPerPage'),
      page: this.get('page'),
      query: this.get('query'),
    };
    if (this.get('descending')) {
      params.desc = true;
    }
    return params;
  }

  routes() {
    return {
      fetch: '/api/v1/task',
    };
  }
}

export default TaskCollection;
